---
search:
  tags:
    - Merchant Users V2
    - GET
seo:
  description: >-
    Lists merchant users (minimal fields) with pagination. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/merchant-users endpoint in the Management API
    v2.
sidebar:
  label: List merchant users
  badge: GET
title: List merchant users
type: openapi-operation
---
Lists merchant users (minimal fields) with pagination.

`GET /api/v2/{team_slug}/{app_slug}/merchant-users`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "name": "string",
      "surname": "string",
      "email": "string",
      "language": "string",
      "market": "string",
      "store_group": "string",
      "phone_number": "string",
      "email_verified": true,
      "email_verification_sent_at": "2019-08-24T14:15:22Z",
      "communication_preferences": {
        "allow_email": true,
        "allow_sms": true,
        "allow_postal": true
      },
      "address": {
        "street": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string",
        "country_code": "string"
      },
      "status": "string",
      "is_super_admin": true,
      "third_party_sign_up": true,
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string",
          "status": "string",
          "filterable": true,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
